Current Path : /usr/src/tools/regression/geom_uzip/ |
FreeBSD hs32.drive.ne.jp 9.1-RELEASE FreeBSD 9.1-RELEASE #1: Wed Jan 14 12:18:08 JST 2015 root@hs32.drive.ne.jp:/sys/amd64/compile/hs32 amd64 |
Current File : //usr/src/tools/regression/geom_uzip/test-1.sh |
#!/bin/sh # # $FreeBSD: release/9.1.0/tools/regression/geom_uzip/test-1.sh 150734 2005-09-29 22:41:20Z fjoe $ # mntpoint="/mnt/test-1" # # prepare kldload geom_uzip uudecode test-1.img.uzip.uue num=`mdconfig -an -f test-1.img.uzip` || exit 1 sleep 1 # # mount mkdir -p "${mntpoint}" mount -o ro /dev/md${num}.uzip "${mntpoint}" || exit 1 # # compare #cat "${mntpoint}/etalon.txt" diff -u etalon/etalon.txt "${mntpoint}/etalon.txt" if [ $? -eq 0 ]; then echo "PASS" else echo "FAIL" fi # # cleanup umount "${mntpoint}" rmdir "${mntpoint}" mdconfig -d -u ${num} sleep 1 kldunload geom_uzip